## audiocd-kio 16.12.3

=== debian/changelog ===
audiocd-kio (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:59 +0000

audiocd-kio (4:16.12.1-0ubuntu5) zesty; urgency=medium

  * Temporarily skip acc header test in a better way - should be fixable
    in next applications upload

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 23:06:52 +0000

audiocd-kio (4:16.12.1-0ubuntu4) zesty; urgency=medium

  * Temporarily skip acc header test - should be fixable in next
    applications upload

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 20:49:11 +0000

audiocd-kio (4:16.12.1-0ubuntu3) zesty; urgency=medium

  * Update dependencies for transitional packages to the new KF5
    versions

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 17:25:23 +0000

audiocd-kio (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Update autopkgtest acc test for KF5 and multiarch.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 24 Jan 2017 19:06:07 +0000

audiocd-kio (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update build depends for Frameworks:
    - libkcompactdisc-dev -> libkf5compactdisc-dev
    - add libphonon4qt5-dev
    - add libphonon4qt5experimental-dev
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Add new build depends on libkf5cddb-dev

  [ Rik Mills ]
  * Add build dep on libasound2-dev
  * Lintian override on kio-audiocd: package-name-doesnt-match-sonames
  * Remove sameVersionDep on kde4 dev package as this is now KF5
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Clive Johnston ]
  * Fixing install files
  * Add build dep on kdelibs5-dev
  * Fixing install file

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:39 +0000
