=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:16.12.3~),
-               libkf5compactdisc-dev (>= 4:16.12.3~),
+               libkf5cddb-dev (>= 4:17.04.3~),
+               libkf5compactdisc-dev (>= 4:17.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
@@ -32,8 +32,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: lame
-Breaks: kdemultimedia-kio-plugins (<< 4:4.10)
-Replaces: kdemultimedia-kio-plugins (<< 4:4.10)
+Breaks: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
+Replaces: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
 Description: transparent audio CD access for applications using the KDE Platform
  This package includes the audiocd KIO plugin, which allows applications using
  the KDE Platform to read audio from CDs and automatically convert it into other
@@ -67,9 +67,9 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: kio-audiocd-dev (>= 4:16.12.3~),
-         libkf5cddb-dev (>= 4:16.12.3~),
-         libkf5compactdisc-dev (>= 4:16.12.3~),
+Depends: kio-audiocd-dev (>= 4:17.04.3~),
+         libkf5cddb-dev (>= 4:17.04.3~),
+         libkf5compactdisc-dev (>= 4:17.04.3~),
          ${misc:Depends}
 Description: transitional package for KDE multimedia development packages
  This transitional package allows one to migrate to kio-audiocd-dev,
