## audiocd-kio 17.08.3

=== data/CMakeLists.txt ===
install(FILES
  audiocd.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/virtual_folders/services)

install(FILES
  solid_audiocd.desktop
  DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
