=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev (>= 4:17.12.3~),
               libkf5compactdisc-dev (>= 4:17.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: lame
Breaks: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-kio-plugins
Section: oldlibs
Priority: optional
Architecture: all
Depends: kio-audiocd, ${misc:Depends}
Description: transitional package for kio-audiocd
 This transitional package allows one to migrate to kio-audiocd.
 .
 It can be safely removed after the installation.

Package: kdemultimedia-dev
Section: oldlibs
Priority: optional
Architecture: all
Depends: kio-audiocd-dev (>= 4:17.12.3~),
         libkf5cddb-dev (>= 4:17.12.3~),
         libkf5compactdisc-dev (>= 4:17.12.3~),
         ${misc:Depends}
Description: transitional package for KDE multimedia development packages
 This transitional package allows one to migrate to kio-audiocd-dev,
 libkf5cddb-dev, and libkf5compactdisc-dev.
 .
 It can be safely removed after the installation.
