=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:17.12.3~),
-               libkf5compactdisc-dev (>= 4:17.12.3~),
+               libkf5cddb-dev (>= 4:18.04.3~),
+               libkf5compactdisc-dev (>= 4:18.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
@@ -22,7 +22,7 @@
                libphonon4qt5experimental-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
@@ -67,10 +67,10 @@
 Section: oldlibs
 Priority: optional
 Architecture: all
-Depends: kio-audiocd-dev (>= 4:17.12.3~),
-         libkf5cddb-dev (>= 4:17.12.3~),
-         libkf5compactdisc-dev (>= 4:17.12.3~),
-         ${misc:Depends}
+Depends: kio-audiocd-dev (>= 4:18.04.3~),
+         libkf5cddb-dev (>= 4:18.04.3~),
+         libkf5compactdisc-dev (>= 4:18.04.3~),
+         ${misc:Depends},
 Description: transitional package for KDE multimedia development packages
  This transitional package allows one to migrate to kio-audiocd-dev,
  libkf5cddb-dev, and libkf5compactdisc-dev.
