=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:18.12.3~),
-               libkf5compactdisc-dev (>= 4:18.12.3~),
+               libkf5cddb-dev (>= 4:19.04.3~),
+               libkf5compactdisc-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
@@ -43,7 +43,8 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
+Depends: kio-audiocd (= ${binary:Version}),
+         ${misc:Depends},
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.
