## audiocd-kio 19.08.2

=== debian/changelog ===
audiocd-kio (4:19.08.2-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * Update VCS entries.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - remove libkf5kdelibs4support-dev
    - add libkf5kcmutils-dev
    - explicitly add gettext, and qtbase5-dev
  * Update install files.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Oct 2019 00:16:47 +0200
