=== data/CMakeLists.txt ===
--- 
+++ 
@@ -6,3 +6,6 @@
   solid_audiocd.desktop
   DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 
+install(FILES
+  org.kde.kio_audiocd.metainfo.xml
+  DESTINATION ${KDE_INSTALL_METAINFODIR})
