=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev,
-               libkf5compactdisc-dev,
+               libkf5cddb-dev (>= 4:19.12.3~),
+               libkf5compactdisc-dev (>= 4:19.12.3~),
                libkf5config-dev (>= 5.24.0~),
                libkf5doctools-dev (>= 5.24.0~),
                libkf5i18n-dev (>= 5.24.0~),
@@ -45,7 +45,8 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
+Depends: kio-audiocd (= ${binary:Version}),
+         ${misc:Depends},
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.
