=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.24.0~),
                gettext,
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:19.12.3~),
-               libkf5compactdisc-dev (>= 4:19.12.3~),
+               libkf5cddb-dev,
+               libkf5compactdisc-dev,
                libkf5config-dev (>= 5.24.0~),
                libkf5doctools-dev (>= 5.24.0~),
                libkf5i18n-dev (>= 5.24.0~),
@@ -24,7 +24,8 @@
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git
@@ -45,8 +46,7 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}),
-         ${misc:Depends},
+Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.
