## audiocd-kio 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
 
-project(audiocd)
+project(audiocd VERSION "5.0.0")
 
-set(PROJECT_VERSION "19.04.0")
-
-set(QT_MIN_VERSION "5.9.0")
-set(KF_MIN_VERSION "5.24.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF_MIN_VERSION "5.68.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -44,10 +42,9 @@
     PURPOSE "libkcompactdisc is used to access CD drives."
 )
 
-ecm_setup_version("5.0.0"
+ecm_setup_version(${audiocd_VERSION}
     VARIABLE_PREFIX AUDIOCDPLUGINS
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
-    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/AudioCDPluginsConfigVersion.cmake"
     SOVERSION 5
 )
 
@@ -78,6 +75,21 @@
 
 #############################
 
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050C00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054400
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DQT_NO_FOREACH
+    -DQT_NO_KEYWORDS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_STRICT_ITERATORS
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+)
 include_directories(
 	${CDPARANOIA_INCLUDE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
@@ -89,13 +101,17 @@
 add_subdirectory(data)
 add_subdirectory(doc)
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-########### next target ###############
-
 set(kio_audiocd_PART_SRCS audiocd.cpp )
 
-ecm_qt_declare_logging_category(kio_audiocd_PART_SRCS HEADER audiocd_kio_debug.h IDENTIFIER AUDIOCD_KIO_LOG CATEGORY_NAME kf5.kio.audiocd DEFAULT_SEVERITY Warning)
+ecm_qt_declare_logging_category(kio_audiocd_PART_SRCS
+    HEADER audiocd_kio_debug.h
+    IDENTIFIER AUDIOCD_KIO_LOG
+    CATEGORY_NAME kf.kio.slaves.audiocd
+    OLD_CATEGORY_NAMES kf5.kio.audiocd
+    DEFAULT_SEVERITY Warning
+    DESCRIPTION "audiocd KIO slave"
+    EXPORT AUDIOCD
+)
 
 add_library(kio_audiocd MODULE ${kio_audiocd_PART_SRCS})
 set_target_properties(kio_audiocd PROPERTIES OUTPUT_NAME "audiocd")
@@ -104,21 +120,21 @@
     ${CDPARANOIA_LIBRARIES}
     Qt5::Widgets
     KF5::CompactDisc
+    KF5::I18n
     audiocdplugins
 )
 
 install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
 
-########### install files ###############
-
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES kio_audiocd.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES kio_audiocd.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
 install(FILES audiocd.protocol  DESTINATION  ${SERVICES_INSTALL_DIR})
 
+ecm_qt_install_logging_categories(
+    EXPORT AUDIOCD
+    FILE kio_audiocd.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
 ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
+kdoctools_install(po)
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
