=== plugins/vorbis/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 target_link_libraries(audiocd_encoder_vorbis 
     ${OGGVORBIS_LIBRARIES} 
+    Qt5::Widgets
     KF5::I18n
     KF5::Cddb
     audiocdplugins
